Page MenuHomePhabricator

Upgrade to Symfony4
Closed, ResolvedPublic5 Estimate Story Points

Description

We need to investigate upgrading XTools to Symfony4. From the look of things, this will require PHP 7.1 but will be a smooth upgrade.

Event Timeline

Matthewrbowker triaged this task as Low priority.Mar 2 2018, 6:54 AM
Matthewrbowker created this task.
Restricted Application added a project: User-Matthewrbowker. · View Herald TranscriptMar 2 2018, 6:54 AM
MusikAnimal moved this task from Inbox to Other on the XTools board.Apr 2 2018, 5:08 AM
MusikAnimal raised the priority of this task from Low to Medium.Aug 10 2018, 11:30 PM
MusikAnimal set the point value for this task to 5.

I am assuming with the increased priority there is an increased urgency. As such, do we have a time-frame for when we want to upgrade to Symfony 4? I am ready to begin work on this as needed, we will need to coordinate roll-outs.

Not urgent. Soon PHP 7.2 will be supported on Toolforge, so I was going to upgrade Grant-Metrics to the latest Symfony. I figure we could do the same for XTools in parallel since it has a similar setup. There's nothing holding us back though, since we're on VPS. We can do our testing on xtools-dev (OK to have downtime), but for production I assume we'll want to spawn a new instance, install PHP 7.2, etc., then switch over traffic once it's in good shape.

MusikAnimal moved this task from Other to Pending deployment on the XTools board.Oct 18 2018, 12:38 AM
MusikAnimal renamed this task from Investigate upgrade to Symfony4 to Upgrade to Symfony4.Oct 18 2018, 2:00 AM
MusikAnimal closed this task as Resolved.Oct 18 2018, 11:24 PM
MusikAnimal claimed this task.
MusikAnimal moved this task from Pending deployment to Complete on the XTools board.